Subject: v4.17-rc1: regressions on N900, N950

From: [email-masked] (Pavel Machek)
Date: Wed, 23 May 2018 16:06:15 +0200

On Wed 2018-05-23 00:56:38, Aaro Koskinen wrote:
> Hi,
> 
> On Tue, May 22, 2018 at 10:58:26PM +0200, Pavel Machek wrote:
> > On Tue 2018-05-22 22:41:39, Aaro Koskinen wrote:
> > > My device worked with v4.17-rc1 (haven't found time to test newer kernels),
> > > but if you say the probe order is random then we must find some proper way
> > > to express the dependency.
> > 
> > I started bisect, but.. that will probably not be useful.
> > 
> > If your device works ok in v4.17-rc1, it probably works in newer -rcs,
> > too.
> 
> Actually, my statement may be bogus... Now I tried again with -rc1
> (and also -rc6) and it fails... But v4.16 works.
> 
> > Thanks for the ordering hint, I'll try to figure out what is going on
> > there.
> 
> My bisection pointed to 6fa7324ac5489ad43c4b6351355b869bc5458bef which
> doesn't seem to make any sense...?! So maybe there really is something
> random stuff going on? :-(

So... I did some experiments on v4.16.

Swapping tsc2005 at 0 and lcd: acx565akm at 2 entries in the dts does break
stuff.

I thought it might be due to vio regulator, but it does not appear
so... screen still works with tsc2005 driver disabled in .config. (so
there's noone to enable vio regulator).

									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 181 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20180523/3a2374b4/attachment.sig>